View Issue Details

IDProjectCategoryView StatusLast Update
0002483VariiSpace[All Projects] Generalpublic2018-11-14 15:38
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002483: Se déplacer
DescriptionIl faut d'abord déterminer quels déplacements sont faisables,

- Déplacement d'une orbite à l'autre, à condition que l'orbite ciblée soit vide (on n'a pas de condition de taille/occupation des orbites pour l'instant)
=> C'est le plus simple, on commence donc par ça. Déplacement instantané.

- Déplacement d'un OC à l'autre: du parent à l'enfant, ou de l'enfant au parent, ou d'un frère à l'autre. pas d'autre déplacement possible. Cela donnera du poids aux étoiles: si on contrôle l'étoile, alors personne ne peut quitter le système stellaire. Dans un déplacement d'OC à OC, on doit partir (et arriver) sur l'orbite la plus extérieure. Pour le départ, facile: on se déplace vers l'orbite extérieur avant de décoller. Pour l'arrivée, il faudra donc que l'orbite extérieure soit libre pour pouvoir se déplacer. Le déplacement coûte du temps, qu'on peut réduire avec des chronotons. Le temps de déplacement dépend de la distance entre les OCs au moment du décollage.

TagsNo tags attached.
Attach Tags

Relationships

child of 0002500 New Lancer une première beta 

Activities

Xenos

Xenos

2018-10-25 23:26

administrator   ~0003826

Le déplacement d'une orbite à l'autre peut se faire via 4 boutons, dans la vue "Orbites":
- Descendre vers l'objet céleste => appel AJAX avec un paramètre -2 pour dire qu'on descend vers l'orbite la plus basse consécutive, qui soit libre
- Descendre d'une orbite => appel AJAX avec -1 comme valeur et on descend d'1 orbite; si elle est libre, on l'occupe, si elle n'est pas libre, on l'attaque (il faudra que le bouton soit coloré pour l'indiquer)
- Monter d'une orbite => même principe, valeur +1
- Monter jusqu'à l'orbite la plus éloignée => même principe, valeur +2

Quand on est sur l'orbite la plus basse, les boutons -2 et -1 sont masqués
Quand on est sur l'orbite la plus haute, les boutons +1 et +2 sont masqués

De cette manière, le déplacement pourra se faire en one click, très facilement point de vue UX
Xenos

Xenos

2018-10-26 22:15

administrator   ~0003828

Je vais changer la façon de présenter les choses: au lieu d'un bouton "passer à l'orbite suivante/précédente/première/dernière", je vais mettre 1 bouton "départ" sur la flotte et une fois qu'on a cliqué dessus, on cliquera sur l'orbite où on veut aller (ou si la flotte ennemie à attaquer, ou sur la flotte qu'on veut rejoindre pour fusionner)
Xenos

Xenos

2018-10-26 23:33

administrator   ~0003829

Bon, finalement, je garde le système de boutons, mais je vire le concept de "au plus près/plus loin de l'OC"

2 boutons servent juste à passer à l'orbite directement au-dessus ou en dessous.
Si elles sont occupées, l'icône pourra être remplacée par "attaque" ou "fusion" ou "défendre", etc

Cela me permettra aussi d'ajouter un éventuel "timer" pour obliger le joueur à attendre un peu entre deux changements d'orbite: l'intérêt étant alors d'empêcher un joueur de fuir trop vite s'il voit qu'un joueur ennemi lui arrive dessus (mais ça, je ne suis pas sûr que ce soit une bonne idée: je verrai plus tard)
Xenos

Xenos

2018-10-28 16:06

administrator   ~0003830

Il reste à faire le déplacement d'un OC à l'autre, mais là, c'est différent comme feature par rapport aux orbites
Xenos

Xenos

2018-11-07 23:11

administrator   ~0003868

Le déplacement d'un OC à l'autre est fait, mais il est instantané: il va falloir rajouter un statut "flotte en déplacement", avec un point de départ, un point d'arrivée, et des dates de départ et d'arrivée. Il faudra aussi représenter la position de cette flotte sur la vue galactique, et éventuellement, représenter les flottes ennemies en déplacement (pour l'instant, je vais toutes les représenter, mais je pense que ce sera ensuite derrière une recherche)
Xenostom

Xenostom

2018-11-14 15:38

developer   ~0003887

Le statut "en déplacement" est rajouté, l'arrivée sera à traiter correctement (actuellement, si l'orbite ciblée est occupée, on fait demi-tour, par la suite, il faudra soit attaquer si flotte ennemie, soit merger les flottes si à nous, soit... je ne sais pas pour les flottes alliées)

Issue History

Date Modified Username Field Change
2018-10-23 19:01 Xenos New Issue
2018-10-24 14:17 Xenostom Status New => In progress
2018-10-24 14:17 Xenostom Description Updated View Revisions
2018-10-25 23:26 Xenos Note Added: 0003826
2018-10-26 22:15 Xenos Note Added: 0003828
2018-10-26 23:33 Xenos Note Added: 0003829
2018-10-28 16:04 Xenos Relationship added child of 0002500
2018-10-28 16:06 Xenos Assigned To => Xenos
2018-10-28 16:06 Xenos Status In progress => Accepted
2018-10-28 16:06 Xenos Note Added: 0003830
2018-11-02 21:12 Xenos Status Accepted => In progress
2018-11-07 23:11 Xenos Status In progress => Accepted
2018-11-07 23:11 Xenos Note Added: 0003868
2018-11-11 12:00 Xenos Status Accepted => In progress
2018-11-14 15:38 Xenostom Note Added: 0003887
2018-11-14 15:38 Xenostom Status In progress => Close
2018-11-14 15:38 Xenostom Resolution open => fixed